metadata:
  sample_table: bedstat_annotation_sheet.csv
  output_dir: $BBTUTORIAL/outputs/bedstat_output/bedstat_pipeline_logs 
  pipeline_interfaces: $BBTUTORIAL/bedstat/pipeline_interface.yaml

constant_attributes: 
  output_file_path: "source"
  yaml_file: "source2"
  protocol: "bedstat"

derived_attributes: [output_file_path, yaml_file]
data_sources:
  source: "$BBTUTORIAL/bedbase_BEDfiles/{file_name}" 
  source2: "$BBTUTORIAL/outputs/bedstat_pipeline_logs/submission/{sample_name}.yaml"
